Subject: Re: [PATCH net-next v20 00/12] virtio_net: Add ethtool flow rules support

From: "Michael S. Tsirkin" <[email-masked]>
Date: Sat, 7 Feb 2026 05:01:56 -0500

On Thu, Feb 05, 2026 at 06:43:28PM -0800, Jakub Kicinski wrote:
> On Thu, 5 Feb 2026 16:46:55 -0600 Daniel Jurgens wrote:
> > This series implements ethtool flow rules support for virtio_net using the
> > virtio flow filter (FF) specification. The implementation allows users to
> > configure packet filtering rules through ethtool commands, directing
> > packets to specific receive queues, or dropping them based on various
> > header fields.
> 
> This is a 4th version of this you posted in as many days and it doesn't
> even build. Please slow down. Please wait with v21 until after the merge
> window. We have enough patches to sift thru still for v7.0.

v20 and no end in sight.
Just looking at the amount of pain all this parsing is inflicting
makes me worry. And wait until we need to begin worrying about
maintaining UAPI stability.

It would be much nicer if drivers were out of the business of parsing
fiddly structures.  Isn't there a way for more code in net core
to deal with all this?
-- 
MST